## org.eclipse.uml2.uml.editor.actions
Class DiagnosticAction

    java.lang.Object
      org.eclipse.emf.edit.ui.action.CommandAction
          org.eclipse.uml2.uml.editor.actions.UMLCommandAction
              org.eclipse.uml2.uml.editor.actions.DiagnosticAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IActionDelegate2, org.eclipse.ui.IEditorActionDelegate, org.eclipse.ui.IViewActionDelegate

Direct Known Subclasses:
  DefineProfileAction, MergePackageAction

    public class DiagnosticAction

extends UMLCommandAction

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.uml2.uml.editor.actions.UMLCommandAction
`UMLCommandAction.RefreshingChangeCommand, UMLCommandAction.TextComparator<T>`

Field Summary
`protected org.eclipse.emf.edit.ui.action.ValidateAction.EclipseResourcesUtil` `eclipseResourcesUtil`
`protected UMLUtil.QualifiedTextProvider` `qualifiedTextProvider`
`protected org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider` `substitutionLabelProvider`

Fields inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`action, collection, command, editingDomain, editorPart, workbenchPart`

Constructor Summary
`protected` `DiagnosticAction()`

Method Summary
`protected java.lang.String` `getMarkerID()`
`protected org.eclipse.emf.ecore.resource.Resource` `getResource(org.eclipse.emf.common.util.Diagnostic diagnostic)`
`protected void` `handleDiagnostic(org.eclipse.emf.common.util.Diagnostic diagnostic, java.lang.String dialogTitle)`

Methods inherited from class org.eclipse.uml2.uml.editor.actions.UMLCommandAction
`getAdapterFactory, getLabelProvider, refreshViewer, setActiveEditor`

Methods inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`createActionCommand, dispose, getDefaultImageDescriptor, init, init, objectToImageDescriptor, run, runWithEvent, selectionChanged, setActiveWorkbenchPart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eclipseResourcesUtil

    protected org.eclipse.emf.edit.ui.action.ValidateAction.EclipseResourcesUtil eclipseResourcesUtil

### substitutionLabelProvider

    protected final org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider substitutionLabelProvider

### qualifiedTextProvider

    protected final UMLUtil.QualifiedTextProvider qualifiedTextProvider

Constructor Detail

### DiagnosticAction

    protected DiagnosticAction()

Method Detail

### getMarkerID

    protected java.lang.String getMarkerID()

### handleDiagnostic

    protected void handleDiagnostic(org.eclipse.emf.common.util.Diagnostic diagnostic,
                                    java.lang.String dialogTitle)

### getResource

    protected org.eclipse.emf.ecore.resource.Resource getResource(org.eclipse.emf.common.util.Diagnostic diagnostic)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.